commit: d1ea0e550e790085e2488e4e973c1eac1d7d5ec1
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 19 02:20:21 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Aug 19 02:41:22 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1ea0e55
dev-python/jaraco-functools: Bump to 4.3.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/jaraco-functools/Manifest | 1 +
.../jaraco-functools/jaraco-functools-4.3.0.ebuild | 56 ++++++++++++++++++++++
2 files changed, 57 insertions(+)
diff --git a/dev-python/jaraco-functools/Manifest
b/dev-python/jaraco-functools/Manifest
index 269c0c9f8417..bcb31b01228d 100644
--- a/dev-python/jaraco-functools/Manifest
+++ b/dev-python/jaraco-functools/Manifest
@@ -1 +1,2 @@
DIST jaraco_functools-4.2.1.tar.gz 19661 BLAKE2B
0052dd97f7d6a341d59aacfd089b8973292707cb65653c2f3b3777aee415bce5bd58e0883d903c028d5899cbf62e519e5bad3731dce76d1d1bd68c7072d691f2
SHA512
f32a0a3410cffb9467a2713d2867b95e4b7491f4df28e5191cceb4e748104617ff3df79f4a86916388fca8cbe379cd8f314ed5276826057aa07b35fb7e046568
+DIST jaraco_functools-4.3.0.tar.gz 19755 BLAKE2B
c49e39a1b689b9d68e619b8164e1746d53bf3ccc30bd8810846fce122f7a21c67288a8ee1d425f47b410adf18baec3223d78f6b6a7db02d18ab75af535f6cc6b
SHA512
494c1eba6963d6c679200d110f3f4de00be7caa5b3783675debfa53f622d6c13bfcadda291f3cdb3ce670d8975a20c813a6a7f9c9145bf5f0503eb71363ed86f
diff --git a/dev-python/jaraco-functools/jaraco-functools-4.3.0.ebuild
b/dev-python/jaraco-functools/jaraco-functools-4.3.0.ebuild
new file mode 100644
index 000000000000..a6d14564bf69
--- /dev/null
+++ b/dev-python/jaraco-functools/jaraco-functools-4.3.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} python3_{13,14}t )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Additional functions used by other projects by developer jaraco"
+HOMEPAGE="
+ https://github.com/jaraco/jaraco.functools/
+ https://pypi.org/project/jaraco.functools/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos
~x64-macos ~x64-solaris"
+
+RDEPEND="
+ >=dev-python/more-itertools-0.12.0-r1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jaraco-classes[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_configure() {
+ grep -q 'build-backend = "setuptools' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "jaraco.functools"
+ version = "${PV}"
+ description = "Functools like those found in stdlib"
+ EOF
+}
+
+python_install() {
+ distutils-r1_python_install
+ # rename to workaround a bug in pkg_resources
+ # https://bugs.gentoo.org/834522
+ mv "${D}$(python_get_sitedir)"/jaraco{_,.}functools-${PV}.dist-info ||
die
+}